Source: plasma-firewall
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
               gettext,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               python3-all-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-firewall
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-firewall
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-firewall.git
Rules-Requires-Root: no

Package: plasma-firewall
Architecture: any
Depends: kf6-kcmutils,
         kf6-kirigami2,
         kf6-kitemmodels,
         python3:any,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: firewalld | ufw
Description: Plasma configuration module for firewalls
 Plasma Firewall provides a way to graphically configure a firewall service.
 .
 Supported firewalls are:
  - firewalld
  - ufw
